#layout { padding: 0; }
#content { margin: 0; }
#header {
    padding-top: 2em;
}
.validation-message,
.validation-error {
    display: flex;
    align-items: center;
    margin: 0.5em auto;
    padding: 1em;

    i {
        font-size: 2em;
        margin-right: 0.5em;
    }
    &:is(.validation-message) i { color: var(--success) };
    &:is(.validation-error) i { color: var(--warning) };
    .msg, .error { font-weight: bold; }
    a { color: var(--blue); }
}
.pure-form-stacked label span {
    color: var(--text-alt);
    text-transform: lowercase;
}
#about {
    background: var(--bg-inverse);
    color: var(--text-inverse);
    padding: 3em 1em 2em 1em;
    text-align: center;

    #alma-logo { display: block; }
    ul {
        color: var(--green);
        font-size: 1.2em;
        line-height: 1.5;
        margin-top: 2em;
        text-align: start;
    }
    .locale-switcher {
        margin: 0;
        text-align: start;

        label span { color: var(--text-inverse); }
    }
}
#login {
    padding: 12em 0;

    a { color: var(--blue); }
    .login-header {
        text-align: center;

        h2 { margin: 0; }
    }
    .existing,
    .login-form {
        border: 2px solid var(--border-color-light);
        border-radius: 4px;
        margin: 2em 1em;
        padding: 1em;

        h3 {
            font-size: 15px;
            font-weight: bold;
            margin: 0;
            + p {
                font-size: 13px;
                font-style: italic;
                margin: 0.25em 0;
                + label {
                    margin-top: 1em;
                }
            }
        }
    }
    .existing form {
        display: flex;
        flex-flow: row nowrap;
        align-items: flex-end;
        gap: 0.5em;
        margin-top: 1em;

        label {
            flex: 1;
            margin: 0;
        }
        button { margin: 0 0 0.15em 0; }
    }
    #account-help {
        display: block;
        margin: 0 0.5em 0.5em 0.5em;
        text-align: end;

        a { color: var(--text-alt); }
    }
    label { margin-inline: 0; }
    .buttons { text-align: center; }
}
#reset-account,
#confirm-code,
#resend-code {
    padding: 2em;
    label { margin-inline: 0; }
}

@media screen and (min-width: 48em) {
    body { background: var(--bg-alt); }
    #header { border: 0; }
    .validation-message,
    .validation-error {
        background-color: var(--bg);
        border: var(--border);
        border-radius: 0.8em;
        max-width: 46em;
        margin: 0 auto 1em auto;
    }
    .login-wrapper {
        background-color: var(--bg);
        border: 3px solid var(--border-color-light);
        border-radius: 0.8em;
        display: flex;
        flex-flow: row nowrap;
        max-width: 48em;
        margin: 0 auto;
        contain: paint;
    }
    #about {
        display: flex;
        flex-flow: column nowrap;
        justify-content: space-between;
        > div { flex: 1; }
    }
    #login {
        flex: 1;
        padding: 2em 0 0 0;
        margin: 0;
    }
    #reset-account,
    #confirm-code {
        background-color: var(--bg);
        border: 3px solid var(--border-color-light);
        border-radius: 0.8em;
        max-width: 26em;
        contain: paint;

        h2 {
            margin: 0.25em 0.5em 1em 0.5em;
            text-align: center;
        }
    }
}
